from logger import Logger
import torch
import torchvision.transforms as transforms
from PIL import Image
import numpy as np
LOGGER = Logger().logger()
#Author: @meetdoshi
from Utils import device
from  data_utils import PinDataset

class DataLoader():
    def __init__(self):
        self.pin_dataset = PinDataset(partitions=range(1))
        self.pin_dataset.load_meta_data()
        self.pidxs = self.pin_dataset.get_pidxs()
        return

    def get_sample_image(self):
        '''
        Function to get image,anno
        '''
        pidx = np.random.choice(self.pidxs)
        print(pidx,type(pidx))
        image, anno = self.pin_dataset.get_annotation(pin_id=pidx)
        return image,anno

    def get_all_images(self):
        '''
        Function to get all images
        '''
        images = []
        annotations = []
        for pidx in self.pidxs:
            print(pidx)
            image,anno = self.pin_dataset.get_annotation(pin_id=pidx)
            images.append(image)
            annotations.append(anno)
        return images,annotations

    def get_all_annotations(self):
        '''
        Function to get all annotations
        '''
        annotations = []
        for pidx in self.pidxs:
            print(pidx)
            image,anno = self.pin_dataset.get_annotation(pin_id=pidx)
            annotations.append(anno)
        return annotations
'''
if __name__ == "__main__":
    data_loader = DataLoader()
    image,anno = data_loader.get_sample_image()
    print(image,type(image))
    print(anno)
'''
